#!/usr/bin/env ruby
# -*- coding: utf-8 -*-

def matsu(x)
  while x>0
    sleep(3)
    x-=1
  end
end

def tsureta()
  puts"お魚が釣れました。"
  puts"なんのお魚が釣れたかな?"
  sakana=[]
  sakana<<"アジちゃんです!すごーい!"
  sakana<<"フグちゃんです。ドンマイ"
  sakana<<"タイちゃんです!!やったね!"
  z=rand(sakana.length)
  printf("釣れた魚は、%s\n",sakana[z])
end

while true
  puts"魚釣りスタート"
  matsu(1)
  puts"まだかな?"
  matsu(2)
  tsureta
  puts"もう一度やりますか?"
  print"yesかnoで答えてください"
  kotae=gets.chomp
  if kotae=="yes"
    redo
  else
    break
  end
end




